Skip to main content
GET
/
v1
/
merchants
/
{merchant_id}
/
payments
Get payments for a merchant
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/merchants/{merchant_id}/payments \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.pay.walletconnect.com/v1/merchants/{merchant_id}/payments"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/merchants/{merchant_id}/payments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "data": [ { "payment_id": "<string>", "merchant_id": "<string>", "reference_id": "<string>", "is_terminal": true, "wallet_name": "<string>", "token_symbol": "<string>", "token_decimals": 0, "token_logo": "<string>", "chain_logo": "<string>", "wallet_logo": "<string>", "chain_id": "<string>", "buyer_caip10": "<string>", "token_caip19": "<string>", "tx_hash": "<string>", "nonce": 1073741823, "token_amount": "<string>", "fiat_amount": -1, "fiat_currency": "<string>", "created_at": "<string>", "last_updated_at": "<string>", "settled_at": "<string>", "settlement_status": "<string>", "settlement_tx_hash": "<string>" } ], "stats": { "total_customers": 1073741823, "total_revenue": { "amount": 123, "currency": "<string>" }, "total_transactions": 1073741823 }, "next_cursor": "<string>" }

Authorizations

X-Api-Key
string
header
required

Deprecated. Legacy service API key for path-based routes. Api-Key header is also accepted for backward compatibility.

Path Parameters

merchant_id
string
required

Query Parameters

start_ts
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
end_ts
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
asset
string
network
string
sort_by
enum<string>
Available options:
date,
amount
sort_dir
enum<string>
Available options:
asc,
desc
cursor
string
limit
integer
Required range: 1 <= x <= 200
status
Available options:
requires_action,
processing,
succeeded,
failed,
expired

Response

Payments with statistics

data
object[]
required
stats
object
required
next_cursor
string | null